Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004631 [JEDI VCL] 00 JVCL Components crash always 2008-12-20 15:28 2009-04-29 15:57
Reporter debose View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004631: TJvAppAnimatedIcon and TJvFormAnimatedIcon generate AV if linked imagelist was deleted
Description TJvAppAnimatedIcon and TJvFormAnimatedIcon has property Icons:TImageList, but has no overriden Notification procedure.
So, once Icons:TImageList was deleted, TJvAppAnimatedIcon and TJvFormAnimatedIcon start to generate AV in DesignTime.

Additional Information I fixed that and attached fixed sources.
Tags No tags attached.
Attached Files zip file icon JvAnimatedIconFIxed.zip [^] (3,309 bytes) 2008-12-20 15:28

- Relationships

-  Notes
(0015491)
obones (administrator)
2009-04-29 15:57

Thanks, this is now fixed in SVN.

- Issue History
Date Modified Username Field Change
2008-12-20 15:28 debose New Issue
2008-12-20 15:28 debose File Added: JvAnimatedIconFIxed.zip
2008-12-22 04:16 obones Status new => acknowledged
2009-04-29 15:57 obones Note Added: 0015491
2009-04-29 15:57 obones Status acknowledged => resolved
2009-04-29 15:57 obones Fixed in Version => Daily / SVN
2009-04-29 15:57 obones Resolution open => fixed
2009-04-29 15:57 obones Assigned To => obones


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker